* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html {
  --res: calc(0.01 * 10vmin);
  scroll-behavior: smooth;
  font-size: 80.5%;
}
body::-webkit-scrollbar {
  width: 8px;
}
body::-webkit-track {
  background: #2764e7;
  border-radius: 10px;
}
.body::-webkit-scrollbar-track {
  background: #ececec;
}
#section_inscription {
  padding: calc(100 * var(--res)) calc(20 * var(--res));
  overflow: hidden;
}

.conteneur-formulaire-inscription h2 {
  font-size: clamp(0.5rem, 35vw, 2.4rem);
  text-align: center;
  margin: 1em 0em;
}

.message-erreur-formulaire {
  width: 100%;
  background-color: #ff080825;
  color: #000000;
  font-size: calc(45 * var(--res));
  padding: 05px;
  margin: 5px 0px;
  border-radius: 5px;
}
.champ {
  margin-bottom: 20px;
  display: block;
}

label {
  display: block;
  margin: bottom 0.5em;
  font-size: clamp(1rem, 45vw, 1.9rem);
}
input {
  width: 100%;
  border: 1px solid #a3a3a3;
  padding: 0.2em;
  outline: none;
  font-size: clamp(1rem, 45vw, 1.3rem);
  border-radius: 05px;
}
select {
  width: 100%;
  border: 1px solid #a3a3a3;
  padding: 05px;
  outline: none;
  font-size: clamp(1rem, 45vw, 1.3rem);
  border-radius: 05px;
}
input[type="submit"]:hover {
  background-color: #2764e7;
  color: #fff;
}
.alert-utilisateur {
  font-size: clamp(1rem, 45vw, 1.3rem);
  color: #ff0000;
}
.alert-utilisateur p {
  padding: 2px;
}
.pass-model {
  font-size: clamp(1rem, 45vw, 1.1rem);
  color: #222222;
}
.passConfirm p {
  font-size: clamp(1rem, 45vw, 1.3rem);
  color: #ff0000;
}
.btn-affiche-password {
  display: flex;
  justify-items: center;
  align-items: start;
  gap: 7px;
}
.btn-affiche-password input {
  width: 15px;
  height: 15px;
  cursor: pointer;
}
.btn-affiche-password label {
  font-size: clamp(1rem, 45vw, 1.3rem);
  cursor: pointer;
  line-height: 1;
}
.hidden {
  display: none;
}
.text-confidentiel {
  margin-bottom: 0.5em;
}
.text-confidentiel p {
  text-align: center;
  font-size: clamp(1rem, 45vw, 1.1rem);
}
.text-confidentiel p a {
  text-align: center;
  font-size: clamp(1rem, 45vw, 1.1rem);
  color: #000;
  font-style: italic;
  text-decoration: none;
}
button {
  margin-bottom: 0.8em;
  background-color: #2764e7;
  color: #fff;
  padding: 0.5em;
  border: none;
  width: 100%;
  font-size: clamp(1rem, 45vw, 1.5rem);
}

.txt-connexion p {
  margin-top: 0.8em;
  text-align: center;
  font-size: clamp(1rem, 45vw, 1.3rem);
}
.txt-connexion p a {
  font-size: clamp(1rem, 45vw, 1.3rem);
  color: #000;
  font-weight: bold;
  text-decoration: none;
}

@media screen and (min-width: 800px) {
  #section_inscription {
    padding: 5em;
    background-image: url(/assets/imgInscription3.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-origin: border-box;
    display: flex-start;
    justify-content: center;
    gap: 2em;
  }
  .conteneur-formulaire-inscription {
    border: 2px solid #9abaff;
    background-color: #fcfcfc81;
    backdrop-filter: blur(05px);
    box-shadow: 1px 1px 15px #7979ff;
    border-radius: 20px;
    padding: 1em;
    width: 40%;
  }
}
